Bug 86844 - CONTEXT MENU: Remove hyperlink not accessible
Summary: CONTEXT MENU: Remove hyperlink not accessible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: Other All
: medium normal
Assignee: Niklas Johansson
URL:
Whiteboard: target:5.0.0 target:4.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-11-29 12:31 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-29 12:31:56 UTC
Right-click on a hyperlink and the 'Remove Hyperlink' entry isnt available. Regression as this works in 4.3 daily.

Version: 4.5.0.0.alpha0+
Build ID: 8bc56801af0540c0496c1f8ddd335578a8791017
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-11-28_23:01:06
Comment 1 tommy27 2014-11-29 18:08:36 UTC
comfirmed under Win8.1 using 4.5.0.0.alpha0+
Build ID: 84a6d8eeaab540e5b2ea3baffd919903dff8c247
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-22_23:41:04
Comment 2 Niklas Johansson 2015-01-13 16:02:50 UTC
Reproduced with LibreOffice 4.4 rc2.
I did a bibisect on this issue, see results below.

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
cd207063d6706c302b4d6ebe44c0ea9fcb29bd47
8fa9ed399be4ea4ac5294efeae7dd5798f9ae6e2
We cannot bisect more!

git bisect log
# bad: [4a3091e95fa263d3e2dd81e56e83996f0bb12287] source-hash-2b5b04e1e62914bf0902dfd7943cdc44499c47a6
# good: [812c4a492375ac47b3557fbb32f5637fc89d60d9] source-hash-dea4a3b9d7182700abeb4dc756a24a9e8dea8474
git bisect start 'latest' 'oldest'
# good: [5d0dfb8e62ae61a240f8313c594d4560e7c8e048] source-hash-0c6cd530de13f80795881f61064f1bf1dcc4ea81
git bisect good 5d0dfb8e62ae61a240f8313c594d4560e7c8e048
# bad: [7dfacd0b8bd828331d74c0f79de6e8924bc4e6a5] source-hash-f93ce4f7eb90093d0ea3115d0a1c614612676dbd
git bisect bad 7dfacd0b8bd828331d74c0f79de6e8924bc4e6a5
# good: [1a63057f6378db7c6b8af1171b7b140f7583f246] source-hash-59f84b4a2c082382767f12e0c7a06a3f0b52e721
git bisect good 1a63057f6378db7c6b8af1171b7b140f7583f246
# bad: [2fdc98d4cfbffea5b33224bd2106aeb3b74b84a7] source-hash-d4a8fa7db0ed4faae00408fbda2352379774cfc0
git bisect bad 2fdc98d4cfbffea5b33224bd2106aeb3b74b84a7
# bad: [98aed8015d7af3a5a132192a34a4b11d8125a220] source-hash-91573182c8474297ef893f98bb04e830f3095cc2
git bisect bad 98aed8015d7af3a5a132192a34a4b11d8125a220
# bad: [ffdd7450b8a7b29a46647c85dd6d3291b1b96003] source-hash-a3fc7f20089062afa4f778e70ba8be84032a30a7
git bisect bad ffdd7450b8a7b29a46647c85dd6d3291b1b96003
# skip: [cd207063d6706c302b4d6ebe44c0ea9fcb29bd47] source-hash-057613c6864204ac5c09260e93a8f14cc9768b90
git bisect skip cd207063d6706c302b4d6ebe44c0ea9fcb29bd47
# bad: [8fa9ed399be4ea4ac5294efeae7dd5798f9ae6e2] source-hash-4a1a94dff6a76d70ee72c6c840a24953eca0a9f0
git bisect bad 8fa9ed399be4ea4ac5294efeae7dd5798f9ae6e2
# good: [2db4c8167c9eb9e581214397fb612cbe6c3978d7] source-hash-2e0561c9962e1205b68ae0c9971c4df7b141f535
git bisect good 2db4c8167c9eb9e581214397fb612cbe6c3978d7
# only skipped commits left to test
# possible first bad commit: [8fa9ed399be4ea4ac5294efeae7dd5798f9ae6e2] source-hash-4a1a94dff6a76d70ee72c6c840a24953eca0a9f0
# possible first bad commit: [cd207063d6706c302b4d6ebe44c0ea9fcb29bd47] source-hash-057613c6864204ac5c09260e93a8f14cc9768b90
Comment 3 Niklas Johansson 2015-01-14 07:26:56 UTC
Narrowed down the issue a bit more the following commit contains the bug as well:
8c6e900e4724dc7c800047099139c080f5f5d564
Comment 4 Niklas Johansson 2015-01-14 12:32:18 UTC
Getting close. The following commit is ok.
b38d520a5f17e96909096ee7bf4d3e9d012fd27e 
_SwSaveTypeCountContent dead and gone (and there was much rejoicing.)
Comment 5 Niklas Johansson 2015-01-14 16:25:29 UTC
The following is ok.
commit dc0af9ef8eb00170997181c2adddbe93315486c7
mark m_nRefCount in SfxPoolItem as mutable
Comment 6 Commit Notification 2015-01-16 09:18:35 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f4dcd527ee4ef7365389b5a70d0f199263628e7

fdo#86844 - CONTEXT MENU: Remove hyperlink not accessible

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-19 16:29:39 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d6ddf18e6266825eb2aef47b41a461a5ac0baa6&h=libreoffice-4-4

fdo#86844 - CONTEXT MENU: Remove hyperlink not accessible

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-01-21 14:01:53 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2be982d5b7e3409aca610d2f6e986550f348f81f&h=libreoffice-4-4-0

fdo#86844 - CONTEXT MENU: Remove hyperlink not accessible

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Björn Michaelsen 2015-01-27 17:52:06 UTC
(In reply to Commit Notification from comment #6)
> Niklas Johansson committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=4f4dcd527ee4ef7365389b5a70d0f199263628e7

@Niklas: I assume this bug can be marked as resolved then?
Comment 10 Yousuf Philips (jay) (retired) 2015-01-28 04:04:54 UTC
Looks fine to me.

Version: 4.4.1.0.0+
Build ID: 2b325c5c009c1a73345520c03ffbf03dc4600eff
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-4, Time: 2015-01-22_19:47:54
Comment 11 Robinson Tryon (qubit) 2015-12-17 08:41:03 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]